Public Web API: Bulk skipping of process instance steps

Allows skipping the current process step and proceeding to the next step for multiple process instances.
The step to be skipped must be in the Error state.

Request

POST /pub/v1/bpm/instance/skip-step

Request body

The resource sent in the request body is  Bulk skipping of process instance steps — Request. It contains the following writable properties:

{
    "instanceIds": [
        "uuid"
    ]
}

Properties

Name Type Description Additional
instanceIds[] array of uuid

List of process instance IDs

Required

Authorization

This request requires the use of one of following authorisation methods: API key

Response

The following HTTP status codes may be returned:

Status code Description Resource
200 OK

Model for bulk skipping of process instance steps

Model for bulk skipping of process instance steps (Bulk skipping of process instance steps)
400 Bad Request

Invalid request parameters

403 Forbidden

Bulk skipping of process instance steps can only be performed by an administrator